(function ($) {

    "use strict";

    $(window).on('elementor/frontend/init', function () {

        window.elementorFrontend.hooks.addAction('frontend/element_ready/qodex-table.default', function ($scope) {

            var $target = $scope.find('.qodex-table'),
                options = {
                    cssHeader: 'qodex-table-header-sort',
                    cssAsc: 'qodex-table-header-sort--up',
                    cssDesc: 'qodex-table-header-sort--down',
                    initWidgets: false
                };

            if (!$target.length) {
                return;
            }

            if ($target.hasClass('qodex-table--sorting')) {
                $target.tablesorter(options);
            }

        });
    });

}(jQuery));