<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

add_filter('qodex/theme/defer_scripts', '__return_empty_array', 100);

if(!function_exists('medzin_add_icon_to_fw_icon')){
    function medzin_add_icon_to_fw_icon( $icons ) {
        $la_icon_lists = [
            "qodexicon-b-dribbble",
            "qodexicon-b-vkontakte",
            "qodexicon-b-line",
            "qodexicon-b-twitter-squared",
            "qodexicon-b-yahoo-1",
            "qodexicon-b-skype-outline",
            "qodexicon-globe",
            "qodexicon-shield",
            "qodexicon-phone-call",
            "qodexicon-menu-6",
            "qodexicon-support248",
            "qodexicon-f-comment-1",
            "qodexicon-ic_mail_outline_24px",
            "qodexicon-ic_compare_arrows_24px",
            "qodexicon-ic_compare_24px",
            "qodexicon-ic_share_24px",
            "qodexicon-bath-tub-1",
            "qodexicon-shopping-cart-1",
            "qodexicon-contrast",
            "qodexicon-heart-1",
            "qodexicon-sort-tool",
            "qodexicon-list-bullet-1",
            "qodexicon-menu-8-1",
            "qodexicon-menu-4-1",
            "qodexicon-menu-3-1",
            "qodexicon-menu-1",
            "qodexicon-down-arrow",
            "qodexicon-left-arrow",
            "qodexicon-right-arrow",
            "qodexicon-up-arrow",
            "qodexicon-phone-1",
            "qodexicon-pin-3-1",
            "qodexicon-search-content",
            "qodexicon-single-01-1",
            "qodexicon-i-delete",
            "qodexicon-zoom-1",
            "qodexicon-b-meeting",
            "qodexicon-bag-20",
            "qodexicon-bath-tub-2",
            "qodexicon-web-link",
            "qodexicon-shopping-cart-2",
            "qodexicon-cart-return",
            "qodexicon-check",
            "qodexicon-g-check",
            "qodexicon-d-check",
            "qodexicon-circle-10",
            "qodexicon-circle-simple-left",
            "qodexicon-circle-simple-right",
            "qodexicon-compare",
            "qodexicon-letter",
            "qodexicon-mail",
            "qodexicon-email",
            "qodexicon-eye",
            "qodexicon-heart-2",
            "qodexicon-shopping-cart-3",
            "qodexicon-list-bullet-2",
            "qodexicon-marker-3",
            "qodexicon-measure-17",
            "qodexicon-menu-8-2",
            "qodexicon-menu-7",
            "qodexicon-menu-4-2",
            "qodexicon-menu-3-2",
            "qodexicon-menu-2",
            "qodexicon-microsoft",
            "qodexicon-phone-2",
            "qodexicon-phone-call-1",
            "qodexicon-pin-3-2",
            "qodexicon-pin-check",
            "qodexicon-e-remove",
            "qodexicon-single-01-2",
            "qodexicon-i-add",
            "qodexicon-small-triangle-down",
            "qodexicon-small-triangle-left",
            "qodexicon-small-triangle-right",
            "qodexicon-tag-check",
            "qodexicon-tag",
            "qodexicon-clock",
            "qodexicon-time-clock",
            "qodexicon-triangle-left",
            "qodexicon-triangle-right",
            "qodexicon-business-agent",
            "qodexicon-zoom-2",
            "qodexicon-zoom-88",
            "qodexicon-search-zoom-in",
            "qodexicon-search-zoom-out",
            "qodexicon-small-triangle-up",
            "qodexicon-phone-call-2",
            "qodexicon-full-screen",
            "qodexicon-car-parking",
            "qodexicon-transparent",
            "qodexicon-bedroom-1",
            "qodexicon-bedroom-2",
            "qodexicon-search-property",
            "qodexicon-menu-5",
            "qodexicon-circle-simple-right-2",
            "qodexicon-detached-property",
            "qodexicon-armchair",
            "qodexicon-measure-big",
            "qodexicon-b-meeting-2",
            "qodexicon-bulb-63",
            "qodexicon-new-construction",
            "qodexicon-quite-happy",
            "qodexicon-shape-star-1",
            "qodexicon-shape-star-2",
            "qodexicon-star-rate-1",
            "qodexicon-star-rate-2",
            "qodexicon-home-2",
            "qodexicon-home-3",
            "qodexicon-home",
            "qodexicon-home-2-2",
            "qodexicon-home-3-2",
            "qodexicon-home-4",
            "qodexicon-home-search",
            "qodexicon-e-add",
            "qodexicon-e-delete",
            "qodexicon-i-delete-2",
            "qodexicon-i-add-2",
            "qodexicon-arrow-right",
            "qodexicon-arrow-left",
            "qodexicon-arrow-up",
            "qodexicon-arrow-down",
            "qodexicon-a-check",
            "qodexicon-a-add",
            "qodexicon-chart-bar-32",
            "qodexicon-chart-bar-32-2",
            "qodexicon-cart-simple-add",
            "qodexicon-cart-add",
            "qodexicon-cart-add-2",
            "qodexicon-cart-speed-1",
            "qodexicon-cart-speed-2",
            "qodexicon-cart-refresh",
            "qodexicon-ic_format_quote_24px",
            "qodexicon-quote-1",
            "qodexicon-quote-2",
            "qodexicon-a-chat",
            "qodexicon-b-comment",
            "qodexicon-chat",
            "qodexicon-b-chat",
            "qodexicon-f-comment",
            "qodexicon-f-chat",
            "qodexicon-subtitles",
            "qodexicon-voice-recognition",
            "qodexicon-n-edit",
            "qodexicon-d-edit",
            "qodexicon-globe-1",
            "qodexicon-b-twitter",
            "qodexicon-b-facebook",
            "qodexicon-b-github-circled",
            "qodexicon-b-pinterest-circled",
            "qodexicon-b-pinterest-squared",
            "qodexicon-b-linkedin",
            "qodexicon-b-github",
            "qodexicon-b-youtube-squared",
            "qodexicon-b-youtube",
            "qodexicon-b-youtube-play",
            "qodexicon-b-dropbox",
            "qodexicon-b-instagram",
            "qodexicon-b-tumblr",
            "qodexicon-b-tumblr-squared",
            "qodexicon-b-skype",
            "qodexicon-b-foursquare",
            "qodexicon-b-vimeo-squared",
            "qodexicon-b-wordpress",
            "qodexicon-b-yahoo",
            "qodexicon-b-reddit",
            "qodexicon-b-reddit-squared",
            "qodexicon-language",
            "qodexicon-b-spotify-1",
            "qodexicon-b-soundcloud",
            "qodexicon-b-vine",
            "qodexicon-b-yelp",
            "qodexicon-b-lastfm",
            "qodexicon-b-lastfm-squared",
            "qodexicon-b-pinterest",
            "qodexicon-b-whatsapp",
            "qodexicon-b-vimeo",
            "qodexicon-b-reddit-alien",
            "qodexicon-b-telegram",
            "qodexicon-b-github-squared",
            "qodexicon-b-flickr",
            "qodexicon-b-flickr-circled",
            "qodexicon-b-vimeo-circled",
            "qodexicon-b-twitter-circled",
            "qodexicon-b-linkedin-squared",
            "qodexicon-b-spotify",
            "qodexicon-b-instagram-1",
            "qodexicon-b-evernote",
            "qodexicon-b-soundcloud-1",
            "qodexicon-dot-3",
            "qodexicon-envato",
            "qodexicon-letter-1",
            "qodexicon-mail-2",
            "qodexicon-mail-1",
            "qodexicon-circle-1"
        ];
        $icons = array(
            array(
                'title' => esc_html__('Qodex Icons', 'medzin'),
                'icons' => $la_icon_lists
            )
        );
        return $icons;
    }
    add_filter('lasf_field_icon_add_icons', 'medzin_add_icon_to_fw_icon');
}

if(!function_exists('medzin_render_socials_for_header_builder')){
    function medzin_render_socials_for_header_builder(){
        $social_links = medzin_get_option('social_links');
        if(!empty($social_links)){
            echo '<div class="social-media-link style-default">';
            foreach($social_links as $item){
                if(!empty($item['link']) && !empty($item['icon'])){
                    $title = isset($item['title']) ? $item['title'] : '';
                    printf(
                        '<a href="%1$s" class="%2$s" title="%3$s" target="_blank" rel="nofollow"><i class="%4$s"></i></a>',
                        esc_url($item['link']),
                        esc_attr(sanitize_title($title)),
                        esc_attr($title),
                        esc_attr($item['icon'])
                    );
                }
            }
            echo '</div>';
        }
    }
    add_action('qodex/header-builder/render-social', 'medzin_render_socials_for_header_builder');
    add_action('qodex/shortcode/social', 'medzin_render_socials_for_header_builder');
}


if(!function_exists('medzin_render_sharing_shortcode')){
    function medzin_render_sharing_shortcode( $atts ) {
        $post_id = $el_class = '';
        $atts = shortcode_atts(array(
            'post_id' => '',
            'el_class' => ''
        ), $atts);
        extract($atts);
        if(empty($post_id)){
            global $post;
            $post_id = $post->ID;
        }
        medzin_social_sharing(get_the_permalink($post_id), get_the_title($post_id), (has_post_thumbnail($post_id) ? get_the_post_thumbnail_url($post_id, 'full') : ''), '', true, $el_class);
    }
    add_action('qodex/shortcode/social_sharing', 'medzin_render_sharing_shortcode');
}

if(!function_exists('medzin_render_shortcode_portfolio_nav')){
    function medzin_render_shortcode_portfolio_nav( $atts ) {
        $atts = shortcode_atts(array(
            'main_url' => '',
            'main_text' => __('View All', 'medzin'),
            'style'     => 1
        ), $atts);

        if(empty($atts['main_url'])){
            $atts['main_url'] = get_post_type_archive_link('la_portfolio');
        }

        $html = '';

        $prev = get_previous_post(false,'','la_portfolio_category');
        $html .= '<div class="nl">';
        if(!empty($prev) && isset($prev->ID)){
            $html .= sprintf(
                '<a href="%s"><i class="qodexicon-left-arrow"></i><span>%s</span></a>',
                get_the_permalink($prev->ID),
                esc_html_x('Prev', 'front-end', 'medzin')
            );
        }
        $html .= '</div>';
        $html .= '<div class="nm">';

        if(!empty($atts['main_url'])){
            $html .= sprintf('<a href="%s" class="main-pf"><i class="qodexicon-microsoft"></i><span>%s</span></a>', esc_url($atts['main_url']), esc_html($atts['main_text']));
        }
        $html .= '</div>';

        $next = get_next_post(false,'','la_portfolio_category');
        $html .= '<div class="nr">';
        if(!empty($next) && isset($next->ID)){
            $html .= sprintf(
                '<a href="%s"><span>%s</span><i class="qodexicon-right-arrow"></i></a>',
                get_the_permalink($next->ID),
                esc_html_x('Next', 'front-end', 'medzin')
            );
        }
        $html .= '</div>';
        echo '<div class="el-portfolio-nav style-'.esc_attr($atts['style']).'">'.$html.'</div>';
    }
    add_action('qodex/shortcode/portfolio_nav', 'medzin_render_shortcode_portfolio_nav');
}

if(!function_exists('medzin_render_shortcode_breadcrumbs')){
    function medzin_render_shortcode_breadcrumbs( $atts ) {
        $el_class = '';
        $atts = shortcode_atts(array(
            'el_class' => '',
        ), $atts);
        extract($atts);
        ?>
        <div class="breadcrumbs-sc <?php echo esc_attr($el_class) ?>"><?php medzin_breadcrumb_trail(); ?></div>
        <?php
    }
    add_action('qodex/shortcode/breadcrumbs', 'medzin_render_shortcode_breadcrumbs');
}

if(!function_exists('medzin_setup_header_preset_data_for_builder')){
	function medzin_setup_header_preset_data_for_builder( $data = array() ){
        if (!is_admin() && !isset($_GET['qodex_header_builder'])) {
            $value = medzin_get_header_layout();
            if (!empty($value) && $value != 'inherit') {
                $data = QOHB_Helper::get_data_frontend_component_with_preset($value, $data);
            }
        }
		return $data;
	}
}
add_filter('qodex/header-builder/setup-data-preset', 'medzin_setup_header_preset_data_for_builder');