<?php
/**
 * Outputs correct page layout
 *
 * @package Medzin WordPress theme
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<article class="single-content-article single-page-article">

    <?php do_action( 'medzin/action/before_page_article' ); ?>

    <?php
    // Get page entry
    get_template_part( 'partials/page/article' );

    ?>

    <?php do_action( 'medzin/action/after_page_article' ); ?>

</article>